Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027088
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-07-15 18:442014-10-07 11:22
ReportercaristuView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revisiondedd5cf4ee2e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR14Q2.3SCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-02-26
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
Triggers an Emergency PackNo
Summary

0027088: Wrong behavior with obuisel selectors in manual windows

DescriptionWhen using an obuisel selector in a manual window, some extra requests are performed. The impact of this issue can be noticed in environments with big amount of data, because this requests causes performance problem in the response of the window.
Steps To Reproduce1) Go to the [Payment In] window and create a new record in the header without selecting a business partner.
2) Click on the "Add Details" window
3) Select a business partner in the selector
4) Make a mouse click outside the selector field. Check (using developers tools) that two new requests are launched, causing the trouble.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027070 closedrafaroda In window "Settle / Protest Remittances", "search" button does not filter the first time 
related to defect 0026911 closedAugustoMauch The request to the datasource are done several times when opening a selector from a 2.50 process popup 
related to defect 00260433.0PR14Q2 closedalostale blur triggers selector ds request without pagination 
related to feature request 0025574 closeddbaz Upgrade SmartClient 10.0d 
has duplicate defect 0027011 closedjonalegriaesarte Memory leaks using new selector on old parameters popus 
has duplicate defect 0028106 closedAugustoMauch Request without pagination in Add Transaction window causes performance problems 

-  Notes
(0068662)
hgbot (developer)
2014-07-16 12:47

Repository: erp/devel/pi
Changeset: dedd5cf4ee2ec0eff8038186915f85d0d8e00247
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jul 16 12:46:42 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/dedd5cf4ee2ec0eff8038186915f85d0d8e00247 [^]

fixed bug 27088: blur causes unpaged request in 3.0 selectors in 2.50 pages

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-widget.js
---
(0068695)
AugustoMauch (developer)
2014-07-17 11:23

Code reviewed and verified in pi@dedd5cf4ee2e
(0069170)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-15 18:44 caristu New Issue
2014-07-15 18:44 caristu Assigned To => AugustoMauch
2014-07-15 18:44 caristu Modules => Core
2014-07-15 18:44 caristu Regression level => Production - QA Approved
2014-07-15 18:44 caristu Triggers an Emergency Pack => No
2014-07-15 18:44 caristu Issue Monitored: networkb
2014-07-15 18:45 caristu Relationship added related to 0027070
2014-07-15 18:45 caristu Steps to Reproduce Updated View Revisions
2014-07-15 19:35 heccam Issue Monitored: heccam
2014-07-16 08:13 alostale Relationship added related to 0026911
2014-07-16 11:19 alostale Relationship added related to 0026043
2014-07-16 11:19 alostale Relationship added related to 0025574
2014-07-16 11:21 alostale Regression date => 2014-02-26
2014-07-16 11:21 alostale Regression introduced in release => PR14Q2
2014-07-16 11:21 alostale Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
2014-07-16 12:43 alostale Assigned To AugustoMauch => alostale
2014-07-16 12:43 alostale Review Assigned To => AugustoMauch
2014-07-16 12:47 hgbot Checkin
2014-07-16 12:47 hgbot Note Added: 0068662
2014-07-16 12:47 hgbot Status new => resolved
2014-07-16 12:47 hgbot Resolution open => fixed
2014-07-16 12:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dedd5cf4ee2ec0eff8038186915f85d0d8e00247 [^]
2014-07-17 11:01 dmitry_mezentsev Relationship added has duplicate 0027011
2014-07-17 11:23 AugustoMauch Note Added: 0068695
2014-07-17 11:23 AugustoMauch Status resolved => closed
2014-07-17 11:23 AugustoMauch Fixed in Version => 3.0PR14Q4
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069170
2014-09-30 16:44 plujan Regression introduced in release PR14Q2 => 3.0PR14Q2
2014-10-07 11:22 alostale Tag Attached: Performance
2014-11-06 14:53 AugustoMauch Relationship added related to 0028106
2014-11-06 15:29 AugustoMauch Relationship replaced has duplicate 0028106


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker